Jump to content

My Browser Builds (Part 3)


Recommended Posts

7 hours ago, LoneCrusader said:

Also seeing this on Firefox 52.9.0esr; spoofing FF 68.7 on Win7 as the User Agent seems to fix it, for now. :unsure:

I thought about changing UA before/during posting the problem,
but decided to inform anyway,
because even if I do solve it for me, it
will still affect others
and
will not be fixed in the next NM version.

Just now I set
general.useragent.override.google.com
same as default
general.useragent.override.facebook.com
- to
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:99.9) Gecko/20100101 Firefox/99.9 (Pale Moon)
- and the problem is gone completely,
Google search returns to normal layout.

I prefer this unreal string.
It directly/widely proclaimed -
"UA is spoofed, because
your site programmers/administrators
are dumb or evil or both".
Yes, I understand, that there are many cases, when
not site authors,
but site _engine_ authors
(f. e., forum engine authors)
are guilty,
but most, if not all, NM built-in UA overrides
are aimed on those
who create that-f***ing-newest-Chrome-only-sites _themselves_.

P. S. UA override _not_ helped for eBay item pictures.
And there are some other (local-Russian) sites,
that are affected with the same looking problem.
F. e. at tv.mail.ru (TV channels charts)
click on program name does nothing,
instead of showing pop-up with detailed information.

  • Upvote 1
Link to comment
Share on other sites


2 hours ago, Reino said:

A bit off-topic (sorry): I'm using NoScript and New Moon (or actually Pale Moon I guess) says "NoScript is known to cause issues".
How serious is this? And if serious, is uBlockOrigin or another alternative a better option?

ah yeah that is Palememe drama where Tobin decided to block Noscript for some personal reason. Noscript is fine.

Reason it "breaks sites" is because it block JavaScript by default. Absolutely ridiculous reason to hard block it. Overall addon blocking is stupid idea, you give someone else control over what addons are ok and what are not. Go to settings>security and set addon security off.

I wonder why@roytam1 left it on build since it keep pinging palememe servers. Could it be removed on future builds?

Edited by Mr.Scienceman2000
  • Like 1
  • Upvote 2
Link to comment
Share on other sites

5 hours ago, Reino said:

Changed 28.* to 28.10.0 and now it suddenly does work. Strange.
Guess it's almost 2 years ago when I could still normally use Github. Thanks!

A bit off-topic (sorry): I'm using NoScript and New Moon (or actually Pale Moon I guess) says "NoScript is known to cause issues".
How serious is this? And if serious, is uBlockOrigin or another alternative a better option?

:thumbup

As you can see in my screenshot, I use ηMatrix in combination with uBlock-for-firefox-legacy.

ηMatrix has some learning curve however, but has more fine-grained control than NoScript.

 

(offtopic)

Thanks for your Ffmpeg builds for XP! :)

Edited by nicolaasjan
  • Like 3
Link to comment
Share on other sites

30 minutes ago, nicolaasjan said:

ηMatrix has some learning curve however, but has more fine-grained control than NoScript.

I agree on this one. I used to be into noscript for quite time before was able to move to nmatrix but I can say it is superior after using few months to learn it. What is strange on noscript is that if I allow some domain on site a it is allowed one site b too. Nmatrix do not have that problem.

Edited by Mr.Scienceman2000
  • Like 1
Link to comment
Share on other sites

On 1/16/2022 at 12:15 PM, Reino said:

A bit off-topic (sorry): I'm using NoScript and New Moon (or actually Pale Moon I guess) says "NoScript is known to cause issues".
How serious is this? And if serious, is uBlockOrigin or another alternative a better option?

I'm using NoScript for many years with FF, PM and now NM - w/o any problem regarding this message.

 

22 hours ago, Mr.Scienceman2000 said:

What is strange on noscript is that if I allow some domain on site a it is allowed one site b too. Nmatrix do not have that problem.

I don't find it strange as this is the intention...you allow (or disallow) specific domains to execute JS. Usually you only allow the domain where the website you're visiting is situated (and maybe some cloud stuff additionally) and under normal circumstances this avoids all cross-domain things (trackers, GA, adds, ...).

kind regards
soggi

Edited by soggi
Link to comment
Share on other sites

On 11/19/2021 at 1:32 AM, VistaLover said:

While we're at it, your AOM screenshot "smells" of a previous Firefox profile transplant, which is something I have always strongly discouraged Firefox52-migrants to do when switching over to Serpent 52/55...

On 11/19/2021 at 1:47 AM, Mathwiz said:

To be fair, he may have done that long ago, when such a transplant worked rather well, then just never bothered to remove extensions that became obsolete.

Sorry for the late reply, guys.
I've been using Serpent since around build 20190622.  Don't know if that's still considered OK for a "transplant".  I can't remember though whether it was a full profile transplant or just a copy of the key settings files for bookmarks, cookies, etc.
 

On 11/19/2021 at 1:32 AM, VistaLover said:

ADB Helper ?

 

Valence ?

Do you have any need for these two?

(Firefox) Greasemonkey 3.11 should be better substituted with 
https://addons.basilisk-browser.org/search/?terms=greasemonkey

(which should direct you to greasemonkey-3.31.4-pm_forkBranch.xpi)

Old YouTube: No longer works :(

In general, if Basilisk-specific updated/forked versions of old Firefox extensions exist, I would advise St52 users to switch to them; my 2c, of course...

I used to think that ADB Helper and Valence were automatically installed starting with one of the Firefox releases (which I now know isn't quite true), which is why I left them in.  But I understand now that they are not needed so I removed them.

I know Old YouTube no longer works (as does YouTube Classic).  I'm only keeping it for reference.  They are disabled just like several others I don't need all the time.

Thanks for the advise.

Link to comment
Share on other sites

Question to Roytam1:

Why Serpent 52 have Plugin OPEN H.264 Video Codec with version 1.7.1

But Serpent 55 have Plugin OPEN H.264 Video Codec with version 1.6

Why 55 Serpent have older version of Cisco h.264 codec and why codec are not even more new then 1.7.1 ? Is this done intentionally for a reason? I am just curious about this.

Link to comment
Share on other sites

Hello everyone!

I'm using Roytam's New Moon 28 and since last week I've problem with writing messages on Facebook. I'm just typing letters using keyboard and nothing happens - no reaction in message box. Same situation with turned off uBlock. Does anyone have same problem and maybe have an idea how to solve this out?

Thank you so much for all answers and help!

Link to comment
Share on other sites

3 hours ago, Nemoplus said:

Hello everyone!

I'm using Roytam's New Moon 28 and since last week I've problem with writing messages on Facebook. I'm just typing letters using keyboard and nothing happens - no reaction in message box. Same situation with turned off uBlock. Does anyone have same problem and maybe have an idea how to solve this out?

Thank you so much for all answers and help!

https://forum.palemoon.org/viewtopic.php?f=61&t=26963&start=60

you may try mobile version instead

  • Like 1
Link to comment
Share on other sites

Notice: so upstream released new version yesterday, and tracking is completed.

hopefully new UXP based build will be available in this weekend.

  • Like 5
Link to comment
Share on other sites

On 1/18/2022 at 6:39 PM, RainyShadow said:

Probably because St55 has older engine than St52 (despite the names)?

Ok, this is your guess, but i still want to hear roytam1 answer please.

Latest version of Open h.264 is 2.1.1, so why still 1.6 in Serpent 55? I am curious.

Edited by Rod Steel
Link to comment
Share on other sites

23 hours ago, roytam1 said:

Hello and thank you so much for answer and that link. I agree that using mobile version of facebook could solve that problem but unfortunately it doesn't have a Messenger function which is most important for me. I see that people on Palemoon forum have same or very similar issue. Is there any chance that next releases of New moon will fix this is? Because at this moment I don't see any opportunity to use Messenger on XP because of that.

Question to other users here - do you have same problem with using Messenger? (you can't type message in the box) If you have - did you find any solution for that?

Best regards for everyone

Link to comment
Share on other sites

As some folks are aware, back in Q4 of 2021, there was a massive breakage of many browsers due to some JavaScript changes that took place around then which rendered browsers that weren't the latest version of Chromium or Firefox useless on many sites. I myself have been struggling with this for some time; Iron 70 no longer works on many things and New Moon is almost the same way. Some things don't work in either, or one or the other.

I eventually realized that as it was just JavaScript code on these sites that had been changed (in many cases, in libraries not directly part of the site, probably why this sprang up everywhere all in a short period of time), and that if that was the case, maybe there was a way to restore compatibility...

I played around for a while this week, and at last, I have made some satisfying progress. StackOverflow and other StackExchange sites, which have been basically 70% broken (minimal functionality mode) for weeks now, finally work 100% again in Iron 70! All it took was minimal polyfill injecting before page load using a simple extension that I set up to do the trick. It looks like many of the other errors I'm seeing are caused by one other popular error. I'm going to see if that can be polyfilled in a similar way too.

Right now, I'm tentatively calling it "Old Chrome Compatability"... couldn't really come up with any clever names, but that's basically the idea.

Plan is to hopefully add that other thing and then open source it this week so that anybody can add it and use it. Granted, Chromium is probably less popular here than UXP browsers, maybe rightly so.

Gets me to thinking, now that I know this concept works, maybe we can rig together a similar extension for Pale/New Moon. It might even be simpler there, the way it's set up. The polyfills needed for one won't necessarily apply to the other, but there'll probably be a fair bit of crossover. Any thoughts?

Anyways, these id*** had their fun messing up their JavaScript to break all our stuff, but I'm taking my JavaScript back now... take that, Google...

  • Like 3
  • Upvote 1
Link to comment
Share on other sites

On 1/16/2022 at 7:31 AM, Mr.Scienceman2000 said:

Go to settings>security and set addon security off.

I wonder why@roytam1 left it on build since it keep pinging palememe servers. Could it be removed on future builds?

It's just a pref, so once you set it, it sticks even when you update New Moon.

I can see the argument for turning it off by default (don't let NM ping the MCP server and poke the bear, so to speak), but some folks prefer NM to have the same default prefs as PM - fewer surprises that way - and it can always be turned off easily if desired.

  • Like 1
Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.


×
×
  • Create New...